# version of SNMP agent
# values allowed: V1 (edfault) / V2 (or V2C) / V3
SNMPVERSION=V1


# NMS address/port where agent will listen for requests
# e.g.: 127.0.0.1/161
#	192.168.165.42/161
#	192.168.165.49/162
# default value: 127.0.0.1/161
NMSADDRESS=127.0.0.1/161


###################################
#  Trap/Inform specific settings  #
###################################

# timer period (in seconds) for sending traps/informs 
# (minimum 1 second, default 0 seconds)
# if zero SNMP agent timer will not be started
SNMPAGENTTIMERPERIOD=0

# UDP (default) or TCP
TRANSPORTPROTOCOL=UDP

# address and port where traps/informs will be sent (NMS address)
# e.g: 192.168.165.42/162
#      127.0.0.1/162
#      127.0.0.1/8001
# default: 127.0.0.1/162
TARGETADDRESS=127.0.0.1/162

###################################
# V1 traps/informs specific setting
# e.g.: public (default), private
V1COMMUNITY=public

###################################
# V2C/V3 traps/informs specific settings:
# number of retries when Traps/Informs are sent to NMS 
# (minimum 1, maximum 999, default 1)
TRAPV3NUMBEROFRETRIES=1

# timeout (in milliseconds) for traps/informs sent to NMS 
# (minimum 1000, default 1000)
TRAPV3TIMEOUTINMILLIS=1000

#For NETSNMP for Windows or Linux use the following command
#snmpwalk -c public -v 1 udp:127.0.0.1:161 1.3.6.1.4.1.227.1.1.0



